Story Points:    

Description

The 1.2.3 release will include features in d1_indexer (ORE parsing), d1_synchronization (ORE validation), d1_log_aggregation

(anonymous log endpoint summary access, hazelcast bug fix, and MN log query optimization).  This ticket is used to document the

CCI 1.2.3 feature rollout.

The metacat context change will affect multiple projects: dataone-cn-metacat, dataone-cn-portal, dataone-cn-version-tool,

dataone-cn-os-core, dataone-cn-processdaemon, dataone-cn-rest-service

components and packages to release

d1_mercury_common

d1_mercury_ui

d1_cn_index_processor

d1_cn_index_tool

d1_identity_manager (?)

d1_synchronization

d1_cn_noderegistry

d1_log_aggregation

d1_process_daemon(?)

d1_cn_service

d1_solr_extensions

dataone-cn-os-core

dataone-cn-metacat

dataone_cn_index 

dataone-cn-portal

dataone-cn-processdaemon

dataone-cn-version-tool

dataone-cn-rest-service

Related issues:

Related to Infrastructure - Task #3972: Validate DataONE Resource Map Objects Closed 2013-09-11

Related to Infrastructure - Task #3723: refactor indexer to use libclient_jav... Closed 2013-06-21 2013-06-21

Related to Infrastructure - Task #3886: Filter the d1-cn-log index based on a... Closed 2013-08-06

Related to Infrastructure - Story #4047: Metacat 2.2.x support Closed

Related to Infrastructure - Task #4079: Enable CORS support for the productio... Closed 2013-10-11

Related to Infrastructure - Task #4080: Fix url encoding in ONEMercury downlo... Closed 2013-10-11

Related to Infrastructure - Bug #4075: LogAggregatorTask fails with EmptyStac... Closed

Related to Infrastructure - Bug #4074: Log Aggregation locking strategy has f... Closed
Related to Infrastructure - Task #3926: add new attributes and object class t... Closed 2013-08-15

Related to Infrastructure - Bug #3727: SynchronizationFailed should be called... Closed 2013-04-24 2013-10-26

Related to Infrastructure - Task #3911: Check the objectList Identifier pid a... Closed 2013-08-12

Related to Infrastructure - Bug #4099: NodeIds of Log entries may be incorrect Closed 2013-10-17 2013-10-26

Associated revisions

Revision 1a7d434d - 2013-10-17 18:22 - Robert Waltz

refs #4025

preparting for Release CCI 1.2.3 Features

Revision 12732 - 2013-10-17 18:22 - Robert Waltz

refs #4025

preparting for Release CCI 1.2.3 Features

Revision 12732 - 2013-10-17 18:22 - Robert Waltz

refs #4025

preparting for Release CCI 1.2.3 Features

Revision 12732 - 2013-10-17 18:22 - Robert Waltz

refs #4025

preparting for Release CCI 1.2.3 Features

Revision 12732 - 2013-10-17 18:22 - Robert Waltz

refs #4025

preparting for Release CCI 1.2.3 Features

History

#1 - 2013-10-16 17:45 - Robert Waltz

- Description updated

#2 - 2013-10-17 17:24 - Robert Waltz

- Description updated

#3 - 2013-10-17 17:26 - Robert Waltz

- Description updated

#4 - 2013-10-18 16:32 - Skye Roseboom

- Description updated

#5 - 2014-01-06 18:18 - Chris Jones

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-20 2/2

http://www.tcpdf.org

